This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 208999 - gfs_fsck must handle selinux extended attributes
gfs_fsck must handle selinux extended attributes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 17:26 EDT by Ryan O'Hara
Modified: 2010-01-11 22:36 EST (History)
0 users

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:00:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryan O'Hara 2006-10-02 17:26:22 EDT
Description of problem:

When running gfs_fsck against a GFS(1) filesystem that contains files with
SELinux extended attribute, the fsck complains/removes the xattrs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a gfs filesystem on a machine that has SELinux enabled.
2. Create some files on GFS filesystem.
3. Unmount and run gfs_fsck.
  
Actual results:

Starting pass1c
EA (selinux) type is invalid (3 > 2).
Removing EA located in block #46.
EA (selinux) type is invalid (3 > 2).
Removing EA located in block #48.

Expected results:
Normal fsck behavior.

Additional info:
Must have SELinux enabled and a correct policy installed.
Comment 1 Ryan O'Hara 2006-10-02 17:39:56 EDT
Fixed. Needed to defined GFS_EATYPE_SECURITY and increment GFS_EATYPE_LAST so
that gfs_fsck will recognize SELinux extended attributes.

Comment 2 Rob Kenna 2006-10-03 08:52:29 EDT
Moved over to RHEL5 as it effects R5 platform support.  Kevin, add an ACK.
Comment 3 Kiersten (Kerri) Anderson 2006-10-03 10:16:55 EDT
Devel ACK
Comment 5 RHEL Product and Program Management 2006-12-22 20:00:23 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.